English | [简体中文](./README-zh_CN.md)

# @ray/light-dp-bind-functional-utils

[![latest](https://img.shields.io/npm/v/@ray/light-dp-bind-functional-utils/latest.svg)](https://www.npmjs.com/package/@ray/light-dp-bind-functional-utils) [![download](https://img.shields.io/npm/dt/@ray/light-dp-bind-functional-utils.svg)](https://www.npmjs.com/package/@ray/light-dp-bind-functional-utils)

> 照明 DP 点功能绑定功能页跳转工具

## Installation

```sh
$ npm install @ray/light-dp-bind-functional-utils
# or
$ yarn add @ray/light-dp-bind-functional-utils
```

## Usage

### route 

```tsx
import { getBindInfo, checkGroupCreatable, openDeviceOrDimmingSelect, openSceneSelect, openVirtualDeviceBind, openBindDetail, BIND_TYPE } from '@ray/light-dp-bind-functional-utils';

// 获取绑定信息
const bindInfo = await getBindInfo({
  masterDevId: '123456',
  masterDpIds: '1,2,3,4,5'
});

const canCreateGroup = await checkGroupCreatable('1,2,3,4,5,6');

// 打开设备或调光选择
openDeviceOrDimmingSelect({
  type: BIND_TYPE.lightControl,
  buttonId: '1',
  dpId: '101',
  code: 'button_install_1',
  homeId: 'home_1',
})

// 打开场景选择
openSceneSelect({
  buttonId: '1',
  dpId: '101',
  code: 'button_install_1',
  homeId: 'home_1',
})

// 打开虚拟设备绑定
// 先通过 checkGroupCreatable 确认是否可以创建虚拟设备群组
openVirtualDeviceBind({
  buttonId: '1',
  dpId: '101',
  code: 'button_install_1',
  homeId: 'home_1',
  groupExecuteDpId: '1',
})
// 绑定过的虚拟设备
openVirtualDeviceBind({
  buttonId: '1',
  dpId: '101',
  code: 'button_install_1',
  homeId: 'home_1',
  bindRule: bindInfo[x],
})


// 打开其他功能的绑定详情
openBindDetail({
  buttonId: '1',
  dpId: '101',
  code: 'button_install_1',
  homeId: 'home_1',
  bindRule: bindInfo[x],
})

```

### preset

```tsx
openDeviceOrDimmingSelect({
  ...
  preset: {
    actions: {
      '1': { // 绑定类型，对应 BIND_TYPE 中的值
        icon: require('@/res/button.png'),
      },
    }
  }
})
```