"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BIND_TYPE = void 0;
exports.openDeviceOrDimmingSelect = openDeviceOrDimmingSelect;
exports.openSceneSelect = openSceneSelect;
exports.openVirtualDeviceBind = openVirtualDeviceBind;
exports.openBindDetail = openBindDetail;
const api_1 = require("./api");
__exportStar(require("./api"), exports);
exports.BIND_TYPE = {
    sceneControl: 1, // 场景控制 走联动接口
    sceneDimming: 2, // 场景调光
    lightControl: 3, // 灯光控制
    curtainControl: 4, // 窗帘控制
    airConditionerControl: 5, // 空调控制
    tvControl: 6, // 电视控制
    virtualControl: 7, // 非智能灯
    musicControl: 8,
    voiceCentralControl: 9, // 语音中控
    distributeBle: 10, // 非智能灯
    bleDimming: 11, // 蓝牙调光
    bleLight: 12, // 蓝牙灯
    bleCurtain: 13, // 蓝牙窗帘
};
/**
 * 打开设备选择或调光选择
 */
function openDeviceOrDimmingSelect(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { type, buttonId, dpId, code, preset } = params;
        let homeId = params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        const url = `functional://details/deviceSelection?type=${type}&buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}`;
        if (preset) {
            ty.presetFunctionalData({
                url,
                data: preset
            });
        }
        ty.navigateTo({
            url,
            success: (res) => {
                console.log('navigateTo success', res);
            },
            fail: (res) => {
                console.log('navigateTo fail', res);
            },
        });
    });
}
/**
 * 打开场景选择（一键执行）
 */
function openSceneSelect(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { buttonId, dpId, code, preset } = params;
        let homeId = params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        const url = `functional://details/sceneSelection?type=${exports.BIND_TYPE.sceneControl}&buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}`;
        if (preset) {
            ty.presetFunctionalData({
                url,
                data: preset
            });
        }
        ty.navigateTo({
            url,
            success: (res) => {
                console.log('navigateTo success', res);
            },
            fail: (res) => {
                console.log('navigateTo fail', res);
            },
        });
    });
}
function openVirtualDeviceBind(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { buttonId, dpId, code, groupExecuteDpId, bindRule, preset } = params;
        let homeId = params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        let url = `functional://details/virtualDevice?buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}&groupExecuteDpId=${groupExecuteDpId}`;
        if (bindRule) {
            url = `functional://details/virtualDevice?boundRule=true&virtualControl=true&buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}&bindRule=${JSON.stringify(bindRule)}`;
        }
        if (preset) {
            ty.presetFunctionalData({
                url,
                data: preset
            });
        }
        ty.navigateTo({
            url,
            success: (res) => {
                console.log('navigateTo success', res);
            },
            fail: (res) => {
                console.log('navigateTo fail', res);
            },
        });
    });
}
function openBindDetail(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { buttonId, dpId, code, bindRule, preset } = params;
        let homeId = params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        const url = `functional://details/boundDetail?buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}&bindRule=${JSON.stringify(bindRule)}`;
        if (preset) {
            ty.presetFunctionalData({
                url,
                data: preset
            });
        }
        ty.navigateTo({
            url,
            success: (res) => {
                console.log('navigateTo success', res);
            },
            fail: (res) => {
                console.log('navigateTo fail', res);
            },
        });
    });
}
